﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace MyWpfApp
{
    /// <summary>
    /// MainWindow.xaml 的交互逻辑
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            lb.ItemsSource = BuildItems();
        }

        public List<DataItemEmt> BuildItems()
        {
            List<DataItemEmt> items = new List<DataItemEmt>();
            DataItemEmt item1 = new DataItemEmt();
            item1.No = 1;
            item1.Name = "吕布";
            item1.Desc = "三国第一型男";
            item1.Image = new BitmapImage(new Uri("images/lb.png", UriKind.Relative));
            items.Add(item1);

            DataItemEmt item2 = new DataItemEmt();
            item2.No = 2;
            item2.Name = "贾雨村";
            item2.Desc = "红楼第一奸雄";
            item2.Image = new BitmapImage(new Uri("images/jyc.png", UriKind.Relative));
            items.Add(item2);

            DataItemEmt item3 = new DataItemEmt();
            item3.No = 3;
            item3.Name = "孙悟空";
            item3.Desc = "无所不能";
            BitmapImage bmp = new BitmapImage(new Uri("images/swk.png", UriKind.Relative));
            item3.Image = bmp;
            items.Add(item3);

            DataItemEmt item4 = new DataItemEmt();
            item4.No = 4;
            item4.Name = "刘备";
            item4.Desc = "刘皇叔";
            item4.Image = new BitmapImage(new Uri("images/bei.png", UriKind.Relative));
            items.Add(item4);

            DataItemEmt item5 = new DataItemEmt();
            item5.No = 5;
            item5.Name = "林黛玉";
            item5.Desc = "神仙妹妹";
            item5.Image = new BitmapImage(new Uri("images/ldy.png", UriKind.Relative));
            items.Add(item5);

            DataItemEmt item6 = new DataItemEmt();
            item6.No = 6;
            item6.Name = "薜宝钗";
            item6.Desc = "宝姐姐近来可好？";
            item6.Image = new BitmapImage(new Uri("images/xbc.png", UriKind.Relative));
            items.Add(item6);

            return items;
        }
    }



    public class DataItemEmt
    {
        public int No { get; set; }
        public string Name { get; set; }
        public ImageSource Image { get; set; }
        public string Desc { get; set; }
    }

    public class IndexConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            int index = (int)value;
            if (index < 0)
            {
                return System.Windows.Visibility.Collapsed;
            }
            return System.Windows.Visibility.Visible;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return null;
        }
    }

}
